## org.eclipse.emf.ecore.impl
Class EFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl

All Implemented Interfaces:
  Notifier, EFactory, EModelElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

Direct Known Subclasses:
  ChangeFactoryImpl, Ecore2EcoreFactoryImpl, Ecore2XMLFactoryImpl, EcoreFactoryImpl, GenModelFactoryImpl, MappingFactoryImpl, TreeFactoryImpl, XMLNamespaceFactoryImpl, XMLTypeFactoryImpl

    public class EFactoryImpl

extends EModelElementImpl
implements EFactory

An implementation of the model object 'EFactory'.

The following features are implemented:

- `EPackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static java.text.DateFormat[]` `EDATE_FORMATS`
`protected EPackage` `ePackage` The cached value of the '`EPackage`' reference

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EFactoryImpl()`

Method Summary
`protected EObject` `basicCreate(EClass eClass)`
`NotificationChain` `basicSetEPackage(EPackage newEPackage, NotificationChain msgs)`
`protected java.lang.String` `collapseWhiteSpace(java.lang.String value)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object objectValue)` Returns the literal value of the instance.
`protected java.lang.String` `convertToString(java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)` Creates a new instance of the class and returns it.
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String stringValue)` Creates an instance of the data type from the literal value.
`protected java.lang.Object` `createFromString(java.lang.String hexString)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EPackage` `getEPackage()`
`protected java.lang.String` `replaceWhiteSpace(java.lang.String value)`
`void` `setEPackage(EPackage newEPackage)`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ePackage

    protected EPackage ePackage

  The cached value of the '`EPackage`' reference.

  See Also:
    `getEPackage()`

### EDATE_FORMATS

    protected static final java.text.DateFormat[] EDATE_FORMATS

Constructor Detail

### EFactoryImpl

    protected EFactoryImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EModelElementImpl`

### getEPackage

    public EPackage getEPackage()

  Specified by:
    `getEPackage` in interface `EFactory`
  Returns:
    the value of the 'EPackage' reference.
  See Also:
    `EFactory.setEPackage(EPackage)`, `EcorePackage.getEFactory_EPackage()`, `EPackage.getEFactoryInstance()`

### setEPackage

    public void setEPackage(EPackage newEPackage)

  Specified by:
    `setEPackage` in interface `EFactory`
  Parameters:
    `newEPackage` - the new value of the 'EPackage' reference.
  See Also:
    `EFactory.getEPackage()`

### basicSetEPackage

    public NotificationChain basicSetEPackage(EPackage newEPackage,
                                              NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `EModelElementImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `EModelElementImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `EModelElementImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `EModelElementImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### create

    public EObject create(EClass eClass)

  Description copied from interface: `EFactory`
  Creates a new instance of the class and returns it.

  Specified by:
    `create` in interface `EFactory`
  Parameters:
    `eClass` - the class of the new instance.
  Returns:
    a new instance of the class.

### basicCreate

    protected EObject basicCreate(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String stringValue)

  Description copied from interface: `EFactory`
  Creates an instance of the data type from the literal value.

  Specified by:
    `createFromString` in interface `EFactory`
    `stringValue` - literal value of the instance.
  Returns:
    an instance of the data type.
  See Also:
    `EFactory.convertToString(EDataType, Object)`

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object objectValue)

  Description copied from interface: `EFactory`
  Returns the literal value of the instance.

  Specified by:
    `convertToString` in interface `EFactory`
  Parameters:
    `eDataType` - the data type of the value.
    `objectValue` - the value.
  Returns:
    the literal value of the instance.
  See Also:
    `EFactory.createFromString(EDataType, String)`

### createFromString

    protected java.lang.Object createFromString(java.lang.String hexString)

### convertToString

    protected java.lang.String convertToString(java.lang.Object instanceValue)

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `EModelElementImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `EModelElementImpl`

### replaceWhiteSpace

    protected java.lang.String replaceWhiteSpace(java.lang.String value)

### collapseWhiteSpace

    protected java.lang.String collapseWhiteSpace(java.lang.String value)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.